diff --git a/salt/modules/virt.py b/salt/modules/virt.py
index c8e046a47a..a78c21e323 100644
--- a/salt/modules/virt.py
+++ b/salt/modules/virt.py
@@ -3956,202 +4551,237 @@ def _caps_add_machine(machines, node):
 
     machine = machines.get(name)
     if not machine:
-        machine = {'alternate_names': []}
+        machine = {"alternate_names": []}
         if maxcpus:
-            machine['maxcpus'] = int(maxcpus)
+            machine["maxcpus"] = int(maxcpus)
         machines[name] = machine
     if alternate_name:
-        machine['alternate_names'].append(alternate_name)
+        machine["alternate_names"].append(alternate_name)
 
 
 def _parse_caps_guest(guest):
-    '''
+    """
     Parse the <guest> element of the connection capabilities XML
-    '''
-    arch_node = guest.find('arch')
+    """
+    arch_node = guest.find("arch")
     result = {
-        'os_type': guest.find('os_type').text,
-        'arch': {
-            'name': arch_node.get('name'),
-            'machines': {},
-            'domains': {}
-        },
+        "os_type": guest.find("os_type").text,
+        "arch": {"name": arch_node.get("name"), "machines": {}, "domains": {}},
     }
 
     for child in arch_node:
-        if child.tag == 'wordsize':
-            result['arch']['wordsize'] = int(child.text)
-        elif child.tag == 'emulator':
-            result['arch']['emulator'] = child.text
-        elif child.tag == 'machine':
-            _caps_add_machine(result['arch']['machines'], child)
-        elif child.tag == 'domain':
-            domain_type = child.get('type')
-            domain = {
-                'emulator': None,
-                'machines': {}
-            }
-            emulator_node = child.find('emulator')
+        if child.tag == "wordsize":
+            result["arch"]["wordsize"] = int(child.text)
+        elif child.tag == "emulator":
+            result["arch"]["emulator"] = child.text
+        elif child.tag == "machine":
+            _caps_add_machine(result["arch"]["machines"], child)
+        elif child.tag == "domain":
+            domain_type = child.get("type")
+            domain = {"emulator": None, "machines": {}}
+            emulator_node = child.find("emulator")
             if emulator_node is not None:
-                domain['emulator'] = emulator_node.text
-            for machine in child.findall('machine'):
-                _caps_add_machine(domain['machines'], machine)
-            result['arch']['domains'][domain_type] = domain
+                domain["emulator"] = emulator_node.text
+            for machine in child.findall("machine"):
+                _caps_add_machine(domain["machines"], machine)
+            result["arch"]["domains"][domain_type] = domain
 
     # Note that some features have no default and toggle attributes.
     # This may not be a perfect match, but represent them as enabled by default
     # without possibility to toggle them.
     # Some guests may also have no feature at all (xen pv for instance)
-    features_nodes = guest.find('features')
+    features_nodes = guest.find("features")
     if features_nodes is not None:
-        result['features'] = {child.tag: {'toggle': True if child.get('toggle') == 'yes' else False,
-                                          'default': True if child.get('default') == 'no' else True}
-                              for child in features_nodes}
+        result["features"] = {
+            child.tag: {
+                "toggle": True if child.get("toggle") == "yes" else False,
+                "default": True if child.get("default") == "no" else True,
+            }
+            for child in features_nodes
+        }
 
     return result
 
 
 def _parse_caps_cell(cell):
-    '''
+    """
     Parse the <cell> nodes of the connection capabilities XML output.
-    '''
-    result = {
-        'id': int(cell.get('id'))
-    }
+    """
+    result = {"id": int(cell.get("id"))}
 
-    mem_node = cell.find('memory')
+    mem_node = cell.find("memory")
     if mem_node is not None:
-        unit = mem_node.get('unit', 'KiB')
+        unit = mem_node.get("unit", "KiB")
         memory = mem_node.text
-        result['memory'] = "{} {}".format(memory, unit)
+        result["memory"] = "{} {}".format(memory, unit)
 
-    pages = [{'size': "{} {}".format(page.get('size'), page.get('unit', 'KiB')),
-              'available': int(page.text)}
-             for page in cell.findall('pages')]
+    pages = [
+        {
+            "size": "{} {}".format(page.get("size"), page.get("unit", "KiB")),
+            "available": int(page.text),
+        }
+        for page in cell.findall("pages")
+    ]
     if pages:
-        result['pages'] = pages
+        result["pages"] = pages
 
-    distances = {int(distance.get('id')): int(distance.get('value'))
-                 for distance in cell.findall('distances/sibling')}
+    distances = {
+        int(distance.get("id")): int(distance.get("value"))
+        for distance in cell.findall("distances/sibling")
+    }
     if distances:
-        result['distances'] = distances
+        result["distances"] = distances
 
     cpus = []
-    for cpu_node in cell.findall('cpus/cpu'):
-        cpu = {
-            'id': int(cpu_node.get('id'))
-        }
-        socket_id = cpu_node.get('socket_id')
+    for cpu_node in cell.findall("cpus/cpu"):
+        cpu = {"id": int(cpu_node.get("id"))}
+        socket_id = cpu_node.get("socket_id")
         if socket_id:
-            cpu['socket_id'] = int(socket_id)
+            cpu["socket_id"] = int(socket_id)
 
-        core_id = cpu_node.get('core_id')
+        core_id = cpu_node.get("core_id")
         if core_id:
-            cpu['core_id'] = int(core_id)
-        siblings = cpu_node.get('siblings')
+            cpu["core_id"] = int(core_id)
+        siblings = cpu_node.get("siblings")
         if siblings:
-            cpu['siblings'] = siblings
+            cpu["siblings"] = siblings
         cpus.append(cpu)
     if cpus:
-        result['cpus'] = cpus
+        result["cpus"] = cpus
 
     return result
 
 
 def _parse_caps_bank(bank):
-    '''
+    """
     Parse the <bank> element of the connection capabilities XML.
-    '''
+    """
     result = {
-        'id': int(bank.get('id')),
-        'level': int(bank.get('level')),
-        'type': bank.get('type'),
-        'size': "{} {}".format(bank.get('size'), bank.get('unit')),
-        'cpus': bank.get('cpus')
+        "id": int(bank.get("id")),
+        "level": int(bank.get("level")),
+        "type": bank.get("type"),
+        "size": "{} {}".format(bank.get("size"), bank.get("unit")),
+        "cpus": bank.get("cpus"),
     }
 
     controls = []
-    for control in bank.findall('control'):
-        unit = control.get('unit')
+    for control in bank.findall("control"):
+        unit = control.get("unit")
         result_control = {
-            'granularity': "{} {}".format(control.get('granularity'), unit),
-            'type': control.get('type'),
-            'maxAllocs': int(control.get('maxAllocs'))
+            "granularity": "{} {}".format(control.get("granularity"), unit),
+            "type": control.get("type"),
+            "maxAllocs": int(control.get("maxAllocs")),
         }
 
-        minimum = control.get('min')
+        minimum = control.get("min")
         if minimum:
-            result_control['min'] = "{} {}".format(minimum, unit)
+            result_control["min"] = "{} {}".format(minimum, unit)
         controls.append(result_control)
     if controls:
-        result['controls'] = controls
+        result["controls"] = controls
 
     return result
 
 
 def _parse_caps_host(host):
-    '''
+    """
     Parse the <host> element of the connection capabilities XML.
-    '''
+    """
     result = {}
     for child in host:
 
-        if child.tag == 'uuid':
-            result['uuid'] = child.text
+        if child.tag == "uuid":
+            result["uuid"] = child.text
 
-        elif child.tag == 'cpu':
+        elif child.tag == "cpu":
             cpu = {
-                'arch': child.find('arch').text if child.find('arch') is not None else None,
-                'model': child.find('model').text if child.find('model') is not None else None,
-                'vendor': child.find('vendor').text if child.find('vendor') is not None else None,
-                'features': [feature.get('name') for feature in child.findall('feature')],
-                'pages': [{'size': '{} {}'.format(page.get('size'), page.get('unit', 'KiB'))}
-                          for page in child.findall('pages')]
+                "arch": child.find("arch").text
+                if child.find("arch") is not None
+                else None,
+                "model": child.find("model").text
+                if child.find("model") is not None
+                else None,
+                "vendor": child.find("vendor").text
+                if child.find("vendor") is not None
+                else None,
+                "features": [
+                    feature.get("name") for feature in child.findall("feature")
+                ],
+                "pages": [
+                    {"size": "{} {}".format(page.get("size"), page.get("unit", "KiB"))}
+                    for page in child.findall("pages")
+                ],
             }
             # Parse the cpu tag
-            microcode = child.find('microcode')
+            microcode = child.find("microcode")
             if microcode is not None:
-                cpu['microcode'] = microcode.get('version')
+                cpu["microcode"] = microcode.get("version")
 
-            topology = child.find('topology')
+            topology = child.find("topology")
             if topology is not None:
-                cpu['sockets'] = int(topology.get('sockets'))
-                cpu['cores'] = int(topology.get('cores'))
-                cpu['threads'] = int(topology.get('threads'))
-            result['cpu'] = cpu
+                cpu["sockets"] = int(topology.get("sockets"))
+                cpu["cores"] = int(topology.get("cores"))
+                cpu["threads"] = int(topology.get("threads"))
+            result["cpu"] = cpu
 
         elif child.tag == "power_management":
-            result['power_management'] = [node.tag for node in child]
+            result["power_management"] = [node.tag for node in child]
 
         elif child.tag == "migration_features":
-            result['migration'] = {
-                'live': child.find('live') is not None,
-                'transports': [node.text for node in child.findall('uri_transports/uri_transport')]
+            result["migration"] = {
+                "live": child.find("live") is not None,
+                "transports": [
+                    node.text for node in child.findall("uri_transports/uri_transport")
+                ],
             }
 
         elif child.tag == "topology":
-            result['topology'] = {
-                'cells': [_parse_caps_cell(cell) for cell in child.findall('cells/cell')]
+            result["topology"] = {
+                "cells": [
+                    _parse_caps_cell(cell) for cell in child.findall("cells/cell")
+                ]
             }
 
-        elif child.tag == 'cache':
-            result['cache'] = {
-                'banks': [_parse_caps_bank(bank) for bank in child.findall('bank')]
+        elif child.tag == "cache":
+            result["cache"] = {
+                "banks": [_parse_caps_bank(bank) for bank in child.findall("bank")]
             }
 
-    result['security'] = [{
-            'model': secmodel.find('model').text if secmodel.find('model') is not None else None,
-            'doi': secmodel.find('doi').text if secmodel.find('doi') is not None else None,
-            'baselabels': [{'type': label.get('type'), 'label': label.text}
-                           for label in secmodel.findall('baselabel')]
+    result["security"] = [
+        {
+            "model": secmodel.find("model").text
+            if secmodel.find("model") is not None
+            else None,
+            "doi": secmodel.find("doi").text
+            if secmodel.find("doi") is not None
+            else None,
+            "baselabels": [
+                {"type": label.get("type"), "label": label.text}
+                for label in secmodel.findall("baselabel")
+            ],
         }
-        for secmodel in host.findall('secmodel')]
+        for secmodel in host.findall("secmodel")
+    ]
 
     return result
 
 
+def _capabilities(conn):
+    """
+    Return the hypervisor connection capabilities.
+
+    :param conn: opened libvirt connection to use
+    """
+    caps = ElementTree.fromstring(conn.getCapabilities())
+
+    return {
+        "host": _parse_caps_host(caps.find("host")),
+        "guests": [_parse_caps_guest(guest) for guest in caps.findall("guest")],
+    }
+
+
 def capabilities(**kwargs):
-    '''
+    """
     Return the hypervisor connection capabilities.
 
     :param connection: libvirt connection URI, overriding defaults
@@ -4165,149 +4795,156 @@ def capabilities(**kwargs):
     .. code-block:: bash
 
         salt '*' virt.capabilities
-    '''
+    """
     conn = __get_conn(**kwargs)
-    caps = ElementTree.fromstring(conn.getCapabilities())
-    conn.close()
-
-    return {
-        'host': _parse_caps_host(caps.find('host')),
-        'guests': [_parse_caps_guest(guest) for guest in caps.findall('guest')]
-    }
+    try:
+        caps = _capabilities(conn)
+    except libvirt.libvirtError as err:
+        raise CommandExecutionError(str(err))
+    finally:
+        conn.close()
+    return caps
 
 
 def _parse_caps_enum(node):
-    '''
+    """
     Return a tuple containing the name of the enum and the possible values
-    '''
-    return (node.get('name'), [value.text for value in node.findall('value')])
+    """
+    return (node.get("name"), [value.text for value in node.findall("value")])
 
 
 def _parse_caps_cpu(node):
-    '''
+    """
     Parse the <cpu> element of the domain capabilities
-    '''
+    """
     result = {}
-    for mode in node.findall('mode'):
-        if not mode.get('supported') == 'yes':
+    for mode in node.findall("mode"):
+        if not mode.get("supported") == "yes":
             continue
 
-        name = mode.get('name')
-        if name == 'host-passthrough':
+        name = mode.get("name")
+        if name == "host-passthrough":
             result[name] = True
 
-        elif name == 'host-model':
+        elif name == "host-model":
             host_model = {}
-            model_node = mode.find('model')
+            model_node = mode.find("model")
             if model_node is not None:
-                model = {
-                    'name': model_node.text
-                }
+                model = {"name": model_node.text}
 
-                vendor_id = model_node.get('vendor_id')
+                vendor_id = model_node.get("vendor_id")
                 if vendor_id:
-                    model['vendor_id'] = vendor_id
+                    model["vendor_id"] = vendor_id
 
-                fallback = model_node.get('fallback')
+                fallback = model_node.get("fallback")
                 if fallback:
-                    model['fallback'] = fallback
-                host_model['model'] = model
+                    model["fallback"] = fallback
+                host_model["model"] = model
 
-            vendor = mode.find('vendor').text if mode.find('vendor') is not None else None
+            vendor = (
+                mode.find("vendor").text if mode.find("vendor") is not None else None
+            )
             if vendor:
-                host_model['vendor'] = vendor
+                host_model["vendor"] = vendor
 
-            features = {feature.get('name'): feature.get('policy') for feature in mode.findall('feature')}
+            features = {
+                feature.get("name"): feature.get("policy")
+                for feature in mode.findall("feature")
+            }
             if features:
-                host_model['features'] = features
+                host_model["features"] = features
 
             result[name] = host_model
 
-        elif name == 'custom':
+        elif name == "custom":
             custom_model = {}
-            models = {model.text: model.get('usable') for model in mode.findall('model')}
+            models = {
+                model.text: model.get("usable") for model in mode.findall("model")
+            }
             if models:
-                custom_model['models'] = models
+                custom_model["models"] = models
             result[name] = custom_model
 
     return result
 
 
 def _parse_caps_devices_features(node):
-    '''
+    """
     Parse the devices or features list of the domain capatilities
-    '''
+    """
     result = {}
     for child in node:
-        if child.get('supported') == 'yes':
-            enums = [_parse_caps_enum(node) for node in child.findall('enum')]
+        if child.get("supported") == "yes":
+            enums = [_parse_caps_enum(node) for node in child.findall("enum")]
             result[child.tag] = {item[0]: item[1] for item in enums if item[0]}
     return result
 
 
 def _parse_caps_loader(node):
-    '''
+    """
     Parse the <loader> element of the domain capabilities.
-    '''
-    enums = [_parse_caps_enum(enum) for enum in node.findall('enum')]
+    """
+    enums = [_parse_caps_enum(enum) for enum in node.findall("enum")]
     result = {item[0]: item[1] for item in enums if item[0]}
 
-    values = [child.text for child in node.findall('value')]
+    values = [child.text for child in node.findall("value")]
 
     if values:
-        result['values'] = values
+        result["values"] = values
 
     return result
 
 
 def _parse_domain_caps(caps):
-    '''
+    """
     Parse the XML document of domain capabilities into a structure.
-    '''
+    """
     result = {
-        'emulator': caps.find('path').text if caps.find('path') is not None else None,
-        'domain': caps.find('domain').text if caps.find('domain') is not None else None,
-        'machine': caps.find('machine').text if caps.find('machine') is not None else None,
-        'arch': caps.find('arch').text if caps.find('arch') is not None else None
+        "emulator": caps.find("path").text if caps.find("path") is not None else None,
+        "domain": caps.find("domain").text if caps.find("domain") is not None else None,
+        "machine": caps.find("machine").text
+        if caps.find("machine") is not None
+        else None,
+        "arch": caps.find("arch").text if caps.find("arch") is not None else None,
     }
 
     for child in caps:
-        if child.tag == 'vcpu' and child.get('max'):
-            result['max_vcpus'] = int(child.get('max'))
+        if child.tag == "vcpu" and child.get("max"):
+            result["max_vcpus"] = int(child.get("max"))
 
-        elif child.tag == 'iothreads':
-            result['iothreads'] = child.get('supported') == 'yes'
+        elif child.tag == "iothreads":
+            result["iothreads"] = child.get("supported") == "yes"
 
-        elif child.tag == 'os':
-            result['os'] = {}
-            loader_node = child.find('loader')
-            if loader_node is not None and loader_node.get('supported') == 'yes':
+        elif child.tag == "os":
+            result["os"] = {}
+            loader_node = child.find("loader")
+            if loader_node is not None and loader_node.get("supported") == "yes":
                 loader = _parse_caps_loader(loader_node)
-                result['os']['loader'] = loader
+                result["os"]["loader"] = loader
 
-        elif child.tag == 'cpu':
+        elif child.tag == "cpu":
             cpu = _parse_caps_cpu(child)
             if cpu:
-                result['cpu'] = cpu
+                result["cpu"] = cpu
 
-        elif child.tag == 'devices':
+        elif child.tag == "devices":
             devices = _parse_caps_devices_features(child)
             if devices:
-                result['devices'] = devices
+                result["devices"] = devices
 
-        elif child.tag == 'features':
+        elif child.tag == "features":
             features = _parse_caps_devices_features(child)
             if features:
-                result['features'] = features
+                result["features"] = features
 
     return result
 
 
 def domain_capabilities(emulator=None, arch=None, machine=None, domain=None, **kwargs):
-    '''
+    """
     Return the domain capabilities given an emulator, architecture, machine or virtualization type.
 
-    .. versionadded:: Fluorine
+    .. versionadded:: 2019.2.0
 
     :param emulator: return the capabilities for the given emulator binary
     :param arch: return the capabilities for the given CPU architecture
@@ -4328,11 +4965,13 @@ def domain_capabilities(emulator=None, arch=None, machine=None, domain=None, **k
 
         salt '*' virt.domain_capabilities arch='x86_64' domain='kvm'
 
-    '''
+    """
     conn = __get_conn(**kwargs)
     result = []
     try:
-        caps = ElementTree.fromstring(conn.getDomainCapabilities(emulator, arch, machine, domain, 0))
+        caps = ElementTree.fromstring(
+            conn.getDomainCapabilities(emulator, arch, machine, domain, 0)
+        )
         result = _parse_domain_caps(caps)
     finally:
         conn.close()
@@ -4341,10 +4980,10 @@ def domain_capabilities(emulator=None, arch=None, machine=None, domain=None, **k
 
 
 def all_capabilities(**kwargs):
-    '''
+    """
     Return the host and domain capabilities in a single call.
 
-    .. versionadded:: Neon
+    .. versionadded:: Sodium
 
     :param connection: libvirt connection URI, overriding defaults
     :param username: username to connect with, overriding defaults
@@ -4356,31 +4995,45 @@ def all_capabilities(**kwargs):
 
         salt '*' virt.all_capabilities
 
-    '''
+    """
     conn = __get_conn(**kwargs)
     result = {}
     try:
         host_caps = ElementTree.fromstring(conn.getCapabilities())
-        domains = [[(guest.get('arch', {}).get('name', None), key)
-                    for key in guest.get('arch', {}).get('domains', {}).keys()]
-                   for guest in [_parse_caps_guest(guest) for guest in host_caps.findall('guest')]]
+        domains = [
+            [
+                (guest.get("arch", {}).get("name", None), key)
+                for key in guest.get("arch", {}).get("domains", {}).keys()
+            ]
+            for guest in [
+                _parse_caps_guest(guest) for guest in host_caps.findall("guest")
+            ]
+        ]
         flattened = [pair for item in (x for x in domains) for pair in item]
         result = {
-                'host': {
-                    'host': _parse_caps_host(host_caps.find('host')),
-                    'guests': [_parse_caps_guest(guest) for guest in host_caps.findall('guest')]
-                },
-                'domains': [_parse_domain_caps(ElementTree.fromstring(
-                                conn.getDomainCapabilities(None, arch, None, domain)))
-                            for (arch, domain) in flattened]}
+            "host": {
+                "host": _parse_caps_host(host_caps.find("host")),
+                "guests": [
+                    _parse_caps_guest(guest) for guest in host_caps.findall("guest")
+                ],
+            },
+            "domains": [
+                _parse_domain_caps(
+                    ElementTree.fromstring(
+                        conn.getDomainCapabilities(None, arch, None, domain)
+                    )
+                )
+                for (arch, domain) in flattened
+            ],
+        }
     finally:
         conn.close()
 
     return result
 
 
-def cpu_baseline(full=False, migratable=False, out='libvirt', **kwargs):
-    '''
+def cpu_baseline(full=False, migratable=False, out="libvirt", **kwargs):
+    """
     Return the optimal 'custom' CPU baseline config for VM's on this minion
 
     .. versionadded:: 2016.3.0
@@ -4404,72 +5057,80 @@ def cpu_baseline(full=False, migratable=False, out='libvirt', **kwargs):
 
         salt '*' virt.cpu_baseline
 
-    '''
+    """
     conn = __get_conn(**kwargs)
     caps = ElementTree.fromstring(conn.getCapabilities())
-    cpu = caps.find('host/cpu')
-    log.debug('Host CPU model definition: %s', salt.utils.stringutils.to_str(ElementTree.tostring(cpu)))
+    cpu = caps.find("host/cpu")
+    log.debug(
+        "Host CPU model definition: %s",
+        salt.utils.stringutils.to_str(ElementTree.tostring(cpu)),
+    )
 
     flags = 0
     if migratable:
         # This one is only in 1.2.14+
-        if getattr(libvirt, 'VIR_CONNECT_BASELINE_CPU_MIGRATABLE', False):
+        if getattr(libvirt, "VIR_CONNECT_BASELINE_CPU_MIGRATABLE", False):
             flags += libvirt.VIR_CONNECT_BASELINE_CPU_MIGRATABLE
         else:
             conn.close()
             raise ValueError
 
-    if full and getattr(libvirt, 'VIR_CONNECT_BASELINE_CPU_EXPAND_FEATURES', False):
+    if full and getattr(libvirt, "VIR_CONNECT_BASELINE_CPU_EXPAND_FEATURES", False):
         # This one is only in 1.1.3+
         flags += libvirt.VIR_CONNECT_BASELINE_CPU_EXPAND_FEATURES
 
-    cpu = ElementTree.fromstring(conn.baselineCPU([salt.utils.stringutils.to_str(ElementTree.tostring(cpu))], flags))
+    cpu = ElementTree.fromstring(
+        conn.baselineCPU(
+            [salt.utils.stringutils.to_str(ElementTree.tostring(cpu))], flags
+        )
+    )
     conn.close()
 
-    if full and not getattr(libvirt, 'VIR_CONNECT_BASELINE_CPU_EXPAND_FEATURES', False):
+    if full and not getattr(libvirt, "VIR_CONNECT_BASELINE_CPU_EXPAND_FEATURES", False):
         # Try do it by ourselves
         # Find the models in cpu_map.xml and iterate over them for as long as entries have submodels
-        with salt.utils.files.fopen('/usr/share/libvirt/cpu_map.xml', 'r') as cpu_map:
+        with salt.utils.files.fopen("/usr/share/libvirt/cpu_map.xml", "r") as cpu_map:
             cpu_map = ElementTree.parse(cpu_map)
 
-        cpu_model = cpu.find('model').text
+        cpu_model = cpu.find("model").text
         while cpu_model:
-            cpu_map_models = cpu_map.findall('arch/model')
-            cpu_specs = [el for el in cpu_map_models if el.get('name') == cpu_model and bool(len(el))]
+            cpu_map_models = cpu_map.findall("arch/model")
+            cpu_specs = [
+                el
+                for el in cpu_map_models
+                if el.get("name") == cpu_model and bool(len(el))
+            ]
 
             if not cpu_specs:
-                raise ValueError('Model {0} not found in CPU map'.format(cpu_model))
+                raise ValueError("Model {0} not found in CPU map".format(cpu_model))
             elif len(cpu_specs) > 1:
-                raise ValueError('Multiple models {0} found in CPU map'.format(cpu_model))
+                raise ValueError(
+                    "Multiple models {0} found in CPU map".format(cpu_model)
+                )
 
             cpu_specs = cpu_specs[0]
 
             # libvirt's cpu map used to nest model elements, to point the parent model.
             # keep this code for compatibility with old libvirt versions
-            model_node = cpu_specs.find('model')
+            model_node = cpu_specs.find("model")
             if model_node is None:
                 cpu_model = None
             else:
-                cpu_model = model_node.get('name')
+                cpu_model = model_node.get("name")
 
-            cpu.extend([feature for feature in cpu_specs.findall('feature')])
+            cpu.extend([feature for feature in cpu_specs.findall("feature")])
 
-    if out == 'salt':
+    if out == "salt":
         return {
-            'model': cpu.find('model').text,
-            'vendor': cpu.find('vendor').text,
-            'features': [feature.get('name') for feature in cpu.findall('feature')]
+            "model": cpu.find("model").text,
+            "vendor": cpu.find("vendor").text,
+            "features": [feature.get("name") for feature in cpu.findall("feature")],
         }
     return cpu.toxml()
 
 
-def network_define(name,
-                   bridge,
-                   forward,
-                   ipv4_config=None,
-                   ipv6_config=None,
-                   **kwargs):
-    '''
+def network_define(name, bridge, forward, ipv4_config=None, ipv6_config=None, **kwargs):
+    """
     Create libvirt network.
 
     :param name: Network name
@@ -4518,12 +5179,12 @@ def network_define(name,
         salt '*' virt.network_define network main bridge openvswitch
 
     .. versionadded:: 2019.2.0
-    '''
+    """
     conn = __get_conn(**kwargs)
-    vport = kwargs.get('vport', None)
-    tag = kwargs.get('tag', None)
-    autostart = kwargs.get('autostart', True)
-    starting = kwargs.get('start', True)
+    vport = kwargs.get("vport", None)
+    tag = kwargs.get("tag", None)
+    autostart = kwargs.get("autostart", True)
+    starting = kwargs.get("start", True)
 
     net_xml = _gen_net_xml(
         name,
@@ -4535,14 +5196,14 @@ def network_define(name,
     )
     try:
         conn.networkDefineXML(net_xml)
-    except libvirtError as err:
+    except libvirt.libvirtError as err:
         log.warning(err)
         conn.close()
         raise err  # a real error we should report upwards
 
     try:
         network = conn.networkLookupByName(name)
-    except libvirtError as err:
+    except libvirt.libvirtError as err:
         log.warning(err)
         conn.close()
         raise err  # a real error we should report upwards
@@ -4565,7 +5226,7 @@ def network_define(name,
 
 
 def list_networks(**kwargs):
-    '''
+    """
     List all virtual networks.
 
     :param connection: libvirt connection URI, overriding defaults
@@ -4579,7 +5240,7 @@ def list_networks(**kwargs):
     .. code-block:: bash
 
        salt '*' virt.list_networks
-    '''
+    """
     conn = __get_conn(**kwargs)
     try:
         return [net.name() for net in conn.listAllNetworks()]
@@ -4588,7 +5249,7 @@ def list_networks(**kwargs):
 
 
 def network_info(name=None, **kwargs):
-    '''
+    """
     Return informations on a virtual network provided its name.
 
     :param name: virtual network name
